Name:           python-imagesize
Version:        1.1.0
Release:        2
Summary:        This module analyzes image headers and returns image size.
License:        MIT
URL:            https://github.com/shibukawa/imagesize_py
Source0:        https://files.pythonhosted.org/packages/source/i/imagesize/imagesize-%{version}.tar.gz
Patch01:        0001-Added-return-types-to-docstrings-and-fixed-descripti.patch
BuildArch:      noarch
BuildRequires:  python2-setuptools python2-devel python2-pytest python3-setuptools
BuildRequires:  python3-devel python3-pytest

%description
This module analyzes JPEG/JPEG 2000/PNG/GIF/TIFF image headers and returns image size.

%package -n     python2-imagesize
Summary:        This module analyzes image headers and returns image size.
%{?python_provide:%python_provide python2-imagesize}

%description -n python2-imagesize
This module analyzes JPEG/JPEG 2000/PNG/GIF/TIFF image headers and returns image size.

%package -n     python3-imagesize
Summary:        This module analyzes image headers and returns image size.
%{?python_provide:%python_provide python3-imagesize}

%description -n python3-imagesize
This module analyzes JPEG/JPEG 2000/PNG/GIF/TIFF image headers and returns image size.

%prep
%autosetup -n imagesize-%{version} -p1
rm -rf imagesize.egg-info
%build
%py2_build
%py3_build
%install
%py3_install
%py2_install
%check
py.test-2
py.test-3

%files -n python2-imagesize
%doc README.rst LICENSE.rst
%{python2_sitelib}/*

%files -n python3-imagesize
%doc README.rst LICENSE.rst
%{python3_sitelib}/*

%changelog

* Thu Oct 19 2023 zhangliangpengkun<zhangliangpengkun@xfusion.com> - 1.1.0-2
- Added return types to docstrings, and fixed description of getDPI()'s…

* Tue Aug 04 2020 Yeqing Peng <pengyeqing@huawei.com> - 1.1.0-1
- update to 1.1.0

* Mon Nov 25 2019 Ling Yang <lingyang2@huawei.com> - 1.0.0-4
- Package init
